org.wildfly.swarm.config.undertow

## Class HandlerConfiguration<T extends HandlerConfiguration<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.undertow.HandlerConfiguration<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class HandlerConfiguration<T extends HandlerConfiguration<T>>
      extends HashMap

  Undertow handlers
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HandlerConfiguration.HandlerConfigurationResources` Child mutators for HandlerConfiguration

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandlerConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `file(File value)` Add the File object to the list of subresources
    `T` | `file(FileSupplier supplier)` Install a supplied File object to the list of subresources
    `T` | `file(String childKey)` Create and configure a File object to the list of subresources
    `T` | `file(String childKey, FileConsumer consumer)` Create and configure a File object to the list of subresources
    `T` | `files(List<File> value)` Add all File objects to this subresource
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `reverseProxies(List<ReverseProxy> value)` Add all ReverseProxy objects to this subresource
    `T` | `reverseProxy(ReverseProxy value)` Add the ReverseProxy object to the list of subresources
    `T` | `reverseProxy(ReverseProxySupplier supplier)` Install a supplied ReverseProxy object to the list of subresources
    `T` | `reverseProxy(String childKey)` Create and configure a ReverseProxy object to the list of subresources
    `T` | `reverseProxy(String childKey, ReverseProxyConsumer consumer)` Create and configure a ReverseProxy object to the list of subresources
    `HandlerConfiguration.HandlerConfigurationResources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### HandlerConfiguration

          public HandlerConfiguration()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public HandlerConfiguration.HandlerConfigurationResources subresources()

    - #### reverseProxies

          public T reverseProxies(List<ReverseProxy> value)

      Add all ReverseProxy objects to this subresource
      Parameters:
        `value` - List of ReverseProxy objects.
      Returns:
        this

    - #### reverseProxy

          public T reverseProxy(ReverseProxy value)

      Add the ReverseProxy object to the list of subresources
      Parameters:
        `value` - The ReverseProxy to add
      Returns:
        this

    - #### reverseProxy

          public T reverseProxy(String childKey,
                                ReverseProxyConsumer consumer)

      Create and configure a ReverseProxy object to the list of subresources
      Parameters:
        `key` - The key for the ReverseProxy resource
        `config` - The ReverseProxyConsumer to use
      Returns:
        this

    - #### reverseProxy

          public T reverseProxy(String childKey)

      Create and configure a ReverseProxy object to the list of subresources
      Parameters:
        `key` - The key for the ReverseProxy resource
      Returns:
        this

    - #### reverseProxy

          public T reverseProxy(ReverseProxySupplier supplier)

      Install a supplied ReverseProxy object to the list of subresources

    - #### files

          public T files(List<File> value)

      Add all File objects to this subresource
      Parameters:
        `value` - List of File objects.
      Returns:
        this

    - #### file

          public T file(File value)

      Add the File object to the list of subresources
      Parameters:
        `value` - The File to add
      Returns:
        this

    - #### file

          public T file(String childKey,
                        FileConsumer consumer)

      Create and configure a File object to the list of subresources
      Parameters:
        `key` - The key for the File resource
        `config` - The FileConsumer to use
      Returns:
        this

    - #### file

          public T file(String childKey)

      Create and configure a File object to the list of subresources
      Parameters:
        `key` - The key for the File resource
      Returns:
        this

    - #### file

          public T file(FileSupplier supplier)

      Install a supplied File object to the list of subresources

Copyright © 2018 JBoss by Red Hat. All rights reserved.